// Copyright (c) 1999, A.H. van den Boogaard

/* main level key words */

#define NOKEY       0
#define TITLE       1
#define ELEMENTS    2
#define NODES       3
#define SUPPRESS    4
#define MATERIAL    7
#define GEOMETRY    8
#define DATA        9
#define NONLINEAR  10
#define LOADEF     11
#define POST       12
#define LINEAR     13
#define EIGEN      14
#define END       100

/* element types */

#define NOELM          0

#define TRUSS          1

#define TRI3PSN        2
#define TRI3PSS        3
#define TRI3AXI        4
#define TRI3THERM      5
#define TRI3PSNTHERM   6

#define TRI6PSN       11
#define TRI6PSS       12
#define TRI6AXI       13
#define TLTRI6PSN     14
#define TRI6PSNA      17
#define TRI6PSSA      18
#define TRI6AXIA      19

#define QUAD4PSN      21
#define QUAD4PSS      22
#define QUAD4AXI      23
#define QUAD4PSSTHERM 24
#define QUAD4PSNTHERM 25
#define TLQUAD4PSN    26

#define QUAD8PSS      31
#define QUAD8PSN      32
#define QUAD8AXI      33
#define TLQUAD8PSN    34
#define QUAD8PSSA     37
#define QUAD8PSNA     38
#define QUAD8AXIA     39

#define HEX8          41

#define MASS2D        51
#define MASS3D        52

#define BEAM2D        61
