// Copyright (c) 1999,2003, A.H. van den Boogaard

#include "geometry.h"

using FeaTure::Geometry;

Geometry::Geometry( int geomnr ):nr(geomnr)
{
   Thick  = 0;
   Crosse = 0;
   Iy = Iz = J = 0;
}

Geometry::~Geometry()
{
}

void Geometry::set_Thick( double thick )
{
   Thick = thick;
}

double Geometry::get_Thick() const
{
   return Thick;
}

void Geometry::set_Crosse( double crosse )
{
   Crosse = crosse;
}

double Geometry::get_Crosse() const
{
   return Crosse;
}

void Geometry::set_Iy( double iy )
{
   Iy = iy;
}

double Geometry::get_Iy() const
{
   return Iy;
}

void Geometry::set_Iz( double iz )
{
   Iz = iz;
}

double Geometry::get_Iz() const
{
   return Iz;
}

void Geometry::set_J( double j )
{
   J = j;
}

double Geometry::get_J() const
{
   return J;
}

int Geometry::get_nr() const
{
   return nr;
}

